# CMxBoolean Class

Namespace: `ArchestrA.Toolkit`

CMxBoolean is derived from CMxCommon and provides support for Boolean Attributes.

**Syntax**

```csharp
public class CMxBoolean : CMxCommon
```

## CMxBoolean Property

### Value Property

Provides a property to get and set the value as a bool.

**Syntax**

```csharp
public bool Value { get; set; }
```

**Returns**

bool

## CMxBoolean Constructors

### CMxBoolean Constructor

**Syntax**

```csharp
public CMxBoolean();
```

### CMxBoolean Constructor (bool)

**Syntax**

```csharp
public CMxBoolean(bool v);
```

**Parameters**

**`v`**

[in] bool value to be set.

### CMxBoolean Constructor (SupportWrapper, string)

**Syntax**

```csharp
public CMxBoolean(SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds the attribute reference.

## CMxBoolean Method

### Set Method

Provides a method to set the value of the Attribute from a CMxBoolean.

**Syntax**

```csharp
public void Set(CMxBoolean val);
```

**Parameters**

**`val`**

[in] CMxBoolean value to be set.

## CMxBoolean Operator Overloads

### CMxBoolean Operator Overload (bool)

**Syntax**

```csharp
public static implicit operator CMxBoolean(bool x);
```

**Parameters**

**`x`**

[in] bool value to convert to CMxBoolean.

**Returns**

CMxBoolean

### CMxValue Operator Overload

Provides an operator to convert a CMxBoolean into a CMxValue.

```csharp
Syntax
public static implicit operator CMxValue(CMxBoolean val);
```

**Parameters**

**`val`**

[in] CMxBoolean value to convert to CMxValue.

**Returns**

CMxValue

### bool Operator Overload

Provides an operator to convert a CMxBoolean into a bool.

**Syntax**

```csharp
public static implicit operator bool(CMxBoolean val);
```

**Parameters**

**`val`**

[in] CMxBoolean value to convert to bool.

**Returns**

bool

### CMxBoolean Operator Overload (CMxValue)

**Syntax**

```csharp
public static implicit operator CMxBoolean(CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue value to convert to CMxBoolean.

**Returns**

CMxBoolean
